# SubscribedPlan

### Fields

#### activatedAt ([String](/graphql-api/api-reference/objects/string.md))

The time of subscription activation for the subscribed plan

#### allowedToCancel ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether this subscribed plan is allowed to be cancelled

#### billingCycleInterval ([Int](/graphql-api/api-reference/objects/int.md))

The interval at which the billing cycle runs according to the unit set in billingCycleIntervalUnit.

#### billingCycleIntervalUnit ([BillingCycleIntervalUnit](/graphql-api/api-reference/objects/billing-cycle-interval-unit.md))

The unit of the interval the billing cycle runs

#### customInitialAmountCents ([Int](/graphql-api/api-reference/objects/int.md))

The custom initial amount for this subscription

#### customRecurringAmountCents ([Int](/graphql-api/api-reference/objects/int.md))

The custom recurring amount for this subscription

#### graceCancellationEndsAt ([String](/graphql-api/api-reference/objects/string.md))

The date and time when grace cancellation period ends

#### graceCancellationPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The amount of time in units for grace cancellation period of the subscribed plan

#### graceCancellationUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))

The time units of measure for grace cancellation period

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID for the subscribed plan

#### inGraceCancellation ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether this subscribed plan is in grace cancellation period

#### inMinimumCommitment ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether this subscribed plan is in minimum commitment period

#### maximumCommitmentEndsAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The time when the maximum commitment will ends and billing for this plan will stop.

#### maximumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The maximum commitment period.

#### maximumCommitmentUnit ([MaximumCommitmentUnit](/graphql-api/api-reference/objects/maximum-commitment-unit.md))

The maximum commitment unit.

#### minimumCommitmentEndsAt ([String](/graphql-api/api-reference/objects/string.md))

The time when minimum commitment period ends

#### minimumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The amount of time in units for minimum commitment period of the subscribed plan

#### minimumCommitmentUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))

The time units of measure for minimum commitment period

#### name ([String](/graphql-api/api-reference/objects/string.md)!)

Name of the subscribed plan

#### nextBillingDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The moment the next charge will be created (Only for flexbile billing cycle projects)

#### plan ([Plan](/graphql-api/api-reference/objects/plan.md))

The plan associated via this SubscribedPlan.

#### ~~showInPriceBreakDown (~~[~~Boolean~~](/graphql-api/api-reference/objects/boolean.md)~~!)~~

*`Deprecated: Will be removed as the client will need to decide this.`*

Whether or not the associated plan is relevant to display in cart price breakdown.

#### trialPeriodPeriod ([Int](/graphql-api/api-reference/objects/int.md))

The interval defining trial period length according to the unit set in trialPeriodIntervalUnit.

#### trialPeriodUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))

The unit of the interval defining the trial period length set in trialPeriodInterval

#### unconsumedContractTermEventCount ([Int](/graphql-api/api-reference/objects/int.md))

The number of unconsumed contract term events

#### versions ([VersionConnection](/graphql-api/api-reference/objects/version-connection.md))

Version history (audit log) of this subscribed plan.

| Argument                                                        | Description                                                             |
| --------------------------------------------------------------- | ----------------------------------------------------------------------- |
| after ([String](/graphql-api/api-reference/objects/string.md))  | Returns the elements in the list that come after the specified cursor.  |
| before ([String](/graphql-api/api-reference/objects/string.md)) | Returns the elements in the list that come before the specified cursor. |
| first ([Int](/graphql-api/api-reference/objects/int.md))        | Returns the first *n* elements from the list.                           |
| last ([Int](/graphql-api/api-reference/objects/int.md))         | Returns the last *n* elements from the list.                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/subscribed-plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
